Page MenuHomePhabricator

Turn referencePreviews into a beta feature
Closed, ResolvedPublic3 Story Points

Description

Beta feature explanatory text
Show a preview of a footnote by hovering over its footnote marker.
Please note: In order to use this beta feature, you have to [[Special:Preferences#mw-prefsection-rendering | enable]] [[ https://www.mediawiki.org/wiki/Page_Previews | Page Previews ]].
Please also note: If you’re using the [[w:Wikipedia:Tools/Navigation popups|Navigation popups]] gadget, you won’t see Reference Previews. If you’re using the [[mw:Reference Tooltips|Reference Tooltips]] gadget, both pop-ups from Reference Tooltips and from Reference Previews will appear.

Logo


Acceptance Criteria

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterFix shade of blue in beta feature images
mediawiki/extensions/Popups : masterAdd missing "the"
mediawiki/extensions/Popups : masterUpdate documentation and signatures of hook handlers
mediawiki/extensions/Popups : masterAdd a beta feature switch for reference previews

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 1:20 PM
Lea_WMDE triaged this task as Normal priority.Feb 12 2019, 1:23 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.
JStrodt_WMDE updated the task description. (Show Details)Feb 20 2019, 9:48 AM
thiemowmde updated the task description. (Show Details)Feb 20 2019, 1:39 PM

Change 491802 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/Popups@master] Add a beta feature switch for reference previews

https://gerrit.wikimedia.org/r/491802

JStrodt_WMDE updated the task description. (Show Details)Feb 22 2019, 1:17 PM
WMDE-Fisch updated the task description. (Show Details)Feb 22 2019, 2:38 PM

Change 491802 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add a beta feature switch for reference previews

https://gerrit.wikimedia.org/r/491802

Change 492999 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Update documentation and signatures of hook handlers

https://gerrit.wikimedia.org/r/492999

Change 492999 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Update documentation and signatures of hook handlers

https://gerrit.wikimedia.org/r/492999

JStrodt_WMDE added a subscriber: WMDE-Fisch.

@WMDE-Fisch Hi Fisch, I just saw that the text for the beta section was slightly changed and because of that, it'is currently missing a "the". I updated the task description accordingly. This is not urgent, but we should fix it eventually.

Change 493219 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Add missing "the"

https://gerrit.wikimedia.org/r/493219

@WMDE-Fisch Hi Fisch, I just saw that the text for the beta section was slightly changed and because of that, it'is currently missing a "the". I updated the task description accordingly. This is not urgent, but we should fix it eventually.

Patch is on it's way :-)!

Change 493219 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add missing "the"

https://gerrit.wikimedia.org/r/493219

alexhollender added a subscriber: alexhollender.

FYI I've just updated the svgs in the description (previously they were using the wrong shade of blue).

FYI I've just updated the svgs in the description (previously they were using the wrong shade of blue).

Oh, yeah. Good point. The patch with the "wrong" blue is currently being rolled out on the wikis with the deployment train. I will submit a patch to fix the color but this will then just be deployed next week. I assume we can live with the lighter blue for a week :-) ( and same goes for the missing "the" from earlier )

Change 493225 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Fix shade of blue in beta feature images

https://gerrit.wikimedia.org/r/493225

Change 493225 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix shade of blue in beta feature images

https://gerrit.wikimedia.org/r/493225

Lea_WMDE closed this task as Resolved.Mar 1 2019, 10:58 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-02-20 board.